IBM Support

Installing the Data Protection for VMware GUI: Download unrestricted SDK JCE files

Technote (troubleshooting)


Problem(Abstract)

User cannot validate their vCenter credentials because the RSA key is larger than 2048 bits.

Symptom

A user installs the Data Protection for VMware graphical user interface (GUI). When the user attempts to validate vCenter credentials, the user gets one of the following errors:

  • "UNEXPECTED ERROR WITH VCENTER VALIDATION" (V7.1.4 and earlier versions)
  • "The installation process is unable to make an SSL connection to the vCenter Server because the RSA key is larger than 2048 bits." (V7.1.6 and later versions).

Cause

SSL protocol is encrypted and an RSA key is used to sign certificates used for verification. The client verifies the authenticity of the certificate presented during the SSL handshake phase, before encryption, which protects against "man-in-the-middle" attacks. The RSA key can have an encryption length that ranges from 512 to 4096 bits. The RSA key length is configurable in the vCenter server. The encryption policy of the Java Cryptography Extension (JCE) files does not permit an RSA key length that is larger than 2048 bits.

Environment

Installation of the Data Protection for VMware graphical user interface (GUI).

Resolving the problem

When a user installs the Data Protection for VMware GUI and uses an RSA key length that is larger than 2048 bits, the user must download policy files that do not restrict the RSA key length.

Unrestricted policy files are not available in some countries.

To download unrestricted policy files, complete the appropriate task for your installation media. After you download unrestricted policy files, start the installation process and follow the wizard panels until the process is complete.


If your installation media is an FTP package:

1. Go to Unrestricted JCE policy File & download the local_policy.jar and US_export_policy.jar files.


2. Copy the downloaded local_policy.jar and US_export_policy.jar files to CD\tsm4ve\Extra\jre\jre\lib\security.
3. Start the installation process again by double-clicking /CD/tsm4ve/x64/setup.exe.



If your installation media is an ISO image:
  1. Copy the install image to a local drive.
  2. Go to Unrestricted JCE policy File & download the local_policy.jar and US_export_policy.jar files.
  3. Copy the downloaded local_policy.jar and US_export_policy.jar files to CD\tsm4ve\Extra\jre\jre\lib\security.
  4. Start the installation process again by double-clicking /<local_drive>/CD/tsm4ve/x64/setup.exe.


Document information

More support for: IBM Spectrum Protect for Virtual Environments
Data Protection for VMware

Software version: 7.1, 7.1.1, 7.1.2, 7.1.3, 7.1.4

Operating system(s): Linux, Windows

Reference #: 1976853

Modified date: 24 February 2016